Delete a file or directory
Delete a file or directory at the given path. Set `recursive` to true to delete directories with contents.
Delete a file or directory at the given path. Set recursive to true to delete directories with contents.
Authorization
BearerAuth AuthorizationBearer <token>
API key passed as a Bearer token in the Authorization header.
Alternatively, use the leap0-authorization header.
In: header
Path Parameters
sandboxID*string
Unique sandbox identifier.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
path*string
Path to delete.
recursive?boolean
Recursively delete directory contents.
Default
falseResponse Body
application/json
application/json
application/json
curl -X POST "https://api.leap0.dev/v1/sandbox/string/filesystem/delete" \ -H "Content-Type: application/json" \ -d '{ "path": "string" }'Empty
{ "message": "string", "errors": [ { "field": "string", "error": "string" } ]}{ "message": "string"}{ "message": "string"}
